Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157721 - DVD size limit
Summary: DVD size limit
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-14 02:16 UTC by David Kuestler
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 13:56:58 UTC


Attachments (Terms of Use)

Description David Kuestler 2005-05-14 02:16:53 UTC
Description of problem:
When building DVD images I can not fill the DVD.

Version-Release number of selected component (if applicable):
Long standing problem - all versions ;-)

How reproducible:
Add extra packages to the standard distribution.

Steps to Reproduce:
1. Copy standard distribution packages to a work area.
2. Add extra packages and modify configuration files as necessary.
3. Try to build DVD.
  
Actual results:
DVD fills to 4.2G and overflows to next DVD.

Expected results:
DVD fills to 4.4G.

Additional info:
The problem is caused by an unsigned integer overflow.
The solution is to use a long integer.
The patch ( also fix a syntax error ) :

diff -urN anaconda-10.2.0.47.orig/scripts/splittree.py
anaconda-10.2.0.47/scripts/splittree.py
--- anaconda-10.2.0.47.orig/scripts/splittree.py	2005-04-01 09:16:56.000000000 +1000
+++ anaconda-10.2.0.47/scripts/splittree.py	2005-04-16 10:17:16.912379403 +1000
@@ -103,14 +103,14 @@
         self.logfile = []
 
 
-    def getSize(seld, path, blocksize=None):
+    def getSize(self, path, blocksize=None):
         """Gets the size as reported by du -s"""
 
         if blocksize:
             p = os.popen("du -s --block-size=1 %s" % path, 'r')
             thesize = p.read()
             p.close()
-            thesize = int(string.split(thesize)[0])
+            thesize = long(string.split(thesize)[0])
             return thesize
         else:
             p = os.popen("du -sh %s" % path, 'r')

Comment 1 Chris Lumens 2005-05-16 13:56:58 UTC
Fixed in CVS.  Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.